Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(2204)

Unified Diff: pkg/dev_compiler/tool/analyze.sh

Issue 2316093003: ignore hints in DDC's build (Closed)
Patch Set: Created 4 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: pkg/dev_compiler/tool/analyze.sh
diff --git a/pkg/dev_compiler/tool/analyze.sh b/pkg/dev_compiler/tool/analyze.sh
index 40b17f4d0b8848ac18584899fe203fc905bd4b24..cd457fca0e1e3bad03ac67c058a26b5cba090dd8 100755
--- a/pkg/dev_compiler/tool/analyze.sh
+++ b/pkg/dev_compiler/tool/analyze.sh
@@ -14,7 +14,7 @@ function fail {
# repeated analysis of the same code.
# TODO(jmesserly): ideally we could do test/all_tests.dart, but
# dart_runtime_test.dart creates invalid generic type instantiation AA.
-echo "Running dartanalyzer to check for errors/warnings/hints..."
-dartanalyzer --strong --fatal-warnings --package-warnings \
+echo "Running dartanalyzer to check for errors/warnings..."
+dartanalyzer --strong --package-warnings \
bin/dartdevc.dart web/main.dart \
- | grep -v "\[info\] TODO" | (! grep $PWD) || fail
+ | grep -v "\[info\]" | grep -v "\[hint\]" | (! grep $PWD) || fail
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698